Unfortunately, this feature is not supported on mobile devices. For the best experience, please use a computer.

project44 REST API (4.0.0)

Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.

Download OpenAPI description
Languages
Servers
NA - Endpoint for project44 tenants created in the NA region
https://na12.api.project44.com/
EU - Endpoint for project44 tenants created in the EU region
https://eu12.api.project44.com/
Sandbox - Endpoint for project44 tenants created in the sandbox environment
https://na12.api.sandbox.p-44.com/

OAuth 2.0: Client Applications

API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.

Operations

OAuth 2.0: Token Generation

API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).

Operations

Shipment: Tracking

...

Operations

Filter Suggestions

...

Operations

Shipment Attributes

...

Operations

Shipment: Loads

...

Operations

Order Visibility

...

Operations

LTL: Quotes

...

Operations

LTL: Dispatch

...

Operations

LTL: Image Retrieval

...

Operations

LTL: Electronic BOL

API used for creating Electronic BOL

Operations

VLTL: Quotes

...

Operations

VLTL: Dispatch

...

Operations

TL: Available Vehicles

...

Operations

TL: Connected Capacity

...

Operations

Asset Tracking

...

Operations

Multi-Modal: Image Retrieval

...

Operations

Multi-Modal: Rating

API used for multi-modal Rating.

Operations

Multi-Modal: Booking

API used for multi-modal Booking.

Operations

Multi-Modal: Packaging

API used for managing packages for shipment planning.

Operations

Multi-Modal: Document

...

Operations

Webhook

...

Operations

Shipment Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for shipments.

Operations

Inventory Order and Load Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for orders and loads.

Operations

Capacity Provider Metadata

...

Operations

Capacity Provider Contact Management

...

Operations

Capacity Provider Account Management

...

Operations

Capacity Provider Account Group Management

...

Operations

LTL: Push Tracking

...

Operations

LTL: Push Imaging

...

Operations

TL: Capacity Provider Push

...

Operations

Parcel: Push Tracking

...

Operations

Universal Push: Truckload

...

Operations

Push Updates

...

Operations

Analytics: Port Intelligence

...

Operations

Stop Location Management

...

Operations

Postal Address Validation

...

Operations

Appointments

Create, reschedule, cancel, fetch appointments in Yard Management Systems(YMS)

Operations

Book an appointment

Request

Create a new appointment for a shipment

Bodyapplication/jsonrequired
identifiersobject or object(Identifiers)
Any of:
slotStartDateTimestring(date-time)

The start date and time (in ISO 8601 format) for the requested appointment slot. Must be before slotEndDateTime. Example: '2024-01-15T10:00:00Z'.

Example: "2024-01-15T10:00:00Z"
slotEndDateTimestring(date-time)

The end date and time (in ISO 8601 format) for the requested appointment slot. Must be after slotStartDateTime. Example: '2024-01-15T12:00:00Z'.

Example: "2024-01-15T12:00:00Z"
curl -i -X POST \
  https://na12.api.project44.com/services/appointments/v1/appointments \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "slotStartDateTime": "2024-01-15T10:00:00Z",
    "slotEndDateTime": "2024-01-15T12:00:00Z",
    "identifiers": {
      "shipmentReference": "SHIP123456",
      "stopSequenceNumber": 1,
      "siteCode": "SITE001"
    }
  }'

Responses

Appointment booked successfully

Bodyapplication/json
appointmentobject(Appointment)
locationobject(YmsLocation)
milestonesArray of objects(Milestones)
statusstring

Status of the operation

Example: "SUCCESS"
yardShipmentobject(YardShipment)
Response
application/json
{ "status": "SUCCESS", "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "siteCode": "SITE001", "siteName": "Main Distribution Center", "identifier": [] }, "yardShipment": { "id": "shipment_123", "carrier": "ABC Trucking", "loadType": "live", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "vendor": "Vendor Corp", "cabNo": "CAB789", "units": 50, "weight": 5000, "pallets": 25, "licensePlateNo": "ABC123", "customer": "Customer Inc", "reference1": "SHIP123456", "reference2": "REF789", "comment": "Handle with care", "commodity": "Electronics", "orderIds": [], "loadInformation": [] }, "milestones": [ {}, {} ] }

Get appointment details for shipment

Request

Retrieve appointment details based on query parameters

Query
shipmentReferencestring

Shipment reference number

siteCodestring

Site code

startDatestring(date)

Start date for appointment search

endDatestring(date)

End date for appointment search

curl -i -X GET \
  'https://na12.api.project44.com/services/appointments/v1/appointments?endDate=2019-08-24&shipmentReference=string&siteCode=string&startDate=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Appointment details retrieved successfully

Bodyapplication/jsonArray [
appointmentobject(Appointment)
locationobject(YmsLocation)
milestonesArray of objects(Milestones)
statusstring

Status of the operation

Example: "SUCCESS"
yardShipmentobject(YardShipment)
]
Response
application/json
[ { "appointment": {}, "location": {}, "milestones": [], "status": "SUCCESS", "yardShipment": {} } ]

Get appointment by ID

Request

Retrieve a specific appointment by its ID

Path
appointmentIdintegerrequired

The ID of the appointment

curl -i -X GET \
  'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Appointment retrieved successfully

Bodyapplication/json
appointmentobject(Appointment)
locationobject(YmsLocation)
milestonesArray of objects(Milestones)
statusstring

Status of the operation

Example: "SUCCESS"
yardShipmentobject(YardShipment)
Response
application/json
{ "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "identifier": [], "siteCode": "SITE001", "siteName": "Main Distribution Center" }, "milestones": [ {} ], "status": "SUCCESS", "yardShipment": { "carrier": "ABC Trucking", "cabNo": "CAB789", "customer": "Customer Inc", "comment": "Handle with care", "commodity": "Electronics", "id": "shipment_123", "loadType": "live", "licensePlateNo": "ABC123", "loadInformation": [], "orderIds": [], "pallets": 25, "reference1": "SHIP123456", "reference2": "REF789", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "units": 50, "vendor": "Vendor Corp", "weight": 5000 } }

Reschedule appointment

Request

Update an existing appointment with new time slot

Path
appointmentIdintegerrequired

The ID of the appointment to reschedule

Bodyapplication/jsonrequired
identifiersobject or object(Identifiers)
Any of:
reasonCodestring

A code indicating the reason for rescheduling the appointment. This helps in tracking and analytics of appointment changes. Example: 'RESCHEDULE'.

Example: "RESCHEDULE"
slotStartDateTimestring(date-time)

The new start date and time (in ISO 8601 format) for the rescheduled appointment slot. Must be before slotEndDateTime. Example: '2024-01-16T14:00:00Z'.

Example: "2024-01-16T14:00:00Z"
slotEndDateTimestring(date-time)

The new end date and time (in ISO 8601 format) for the rescheduled appointment slot. Must be after slotStartDateTime. Example: '2024-01-16T16:00:00Z'.

Example: "2024-01-16T16:00:00Z"
curl -i -X PUT \
  'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "slotStartDateTime": "2024-01-16T14:00:00Z",
    "slotEndDateTime": "2024-01-16T16:00:00Z",
    "identifiers": {
      "shipmentReference": "SHIP123456",
      "stopSequenceNumber": 1,
      "siteCode": "SITE001"
    },
    "reasonCode": "RESCHEDULE"
  }'

Responses

Appointment rescheduled successfully

Bodyapplication/json
appointmentobject(Appointment)
locationobject(YmsLocation)
milestonesArray of objects(Milestones)
statusstring

Status of the operation

Example: "SUCCESS"
yardShipmentobject(YardShipment)
Response
application/json
{ "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "identifier": [], "siteCode": "SITE001", "siteName": "Main Distribution Center" }, "milestones": [ {} ], "status": "SUCCESS", "yardShipment": { "carrier": "ABC Trucking", "cabNo": "CAB789", "customer": "Customer Inc", "comment": "Handle with care", "commodity": "Electronics", "id": "shipment_123", "loadType": "live", "licensePlateNo": "ABC123", "loadInformation": [], "orderIds": [], "pallets": 25, "reference1": "SHIP123456", "reference2": "REF789", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "units": 50, "vendor": "Vendor Corp", "weight": 5000 } }

Cancel appointment

Request

Cancel an existing appointment

Path
appointmentIdintegerrequired

The ID of the appointment to cancel

Query
reasonCodestringrequired

Reason code for cancellation

Example: reasonCode=CANCEL_WEATHER
curl -i -X DELETE \
  'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}?reasonCode=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Appointment cancelled successfully

Bodyapplication/json
statusstring

Status of the cancellation operation

Example: "SUCCESS"
Response
application/json
{ "status": "SUCCESS" }

Capacity

Get capacity for a YMS site within the specified time range

Operations

Milestones

Update yard milestones for a shipment

Operations

Reason Codes

Retrieve all reason codes for the specified YMS site

Operations

Site Codes

Retrieve all sites for the specified YMS tenant

Operations

Slots

Get available slots for a shipment in Yard Management Systems(YMS)

Operations

Invitations

...

Operations

Ocean: Point-to-Point Schedules

...

Operations

LTL: Tracking

...

Operations

TL: Tracking

...

Operations

TL: Webhook

...

Operations

Parcel: Tracking

...

Operations

Parcel: Webhook

...

Operations

Rail: Tracking

...

Operations

Ocean: Tracking

...

Operations